<?php

if($cboSucursal){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdSucursal($cboSucursal);
	$o_SucursalBL = new SucursalBL();
	$a_Sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	foreach($a_Sucursal as $key => $o_sucursal){
		$idAdministrador = $o_sucursal->getIdAdministrador();
	}
	
}else{
	$idAdministrador = myUser::getUser()->getIdColaborador();
}
$o_ColaboradorBean = new ColaboradorBean();
//$o_ColaboradorBean->setIdPadre($idAdministrador);
if(myUser::getUser()->getRoleId() == "sys.ope"){
	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
}else{
	$o_ColaboradorBean->setIdPadre(myUser::getUser()->getIdColaborador());
}

$o_ColaboradorBean->setIdRol('sys.ope');


if($cboColaborador){
	$o_ColaboradorBean->setIdColaborador($cboColaborador);
}
$o_ColaboradorBL = new ColaboradorBL();
$a_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);


if(is_array($a_Colaborador)){
	foreach($a_Colaborador as $key => $o_colaborador){
		$idColaborador = $o_colaborador->getIdColaborador();
		$a_NombreColaborador[$idColaborador] = $o_colaborador->getNombreCompleto();
		
		if($tipoPeriodo == 'diario'){
			$fechaActual = date('Y-m-d');
			$t_periodo = "Fechas";
			$fechaFinal = date('Y-m-d',strtotime($txtFechaInicial .' +'.($intervalodias-1).' days'));
			if($fechaFinal > $fechaActual){
				$fechaFinal = $fechaActual;
			}
			//Calculo de datos por cada dia 
			$fechaFor = $txtFechaInicial;
			while($fechaFor <= $fechaFinal){
				
				$o_PrestamoBean = new PrestamoBean();
				$o_PrestamoBean->setIdColaboradorPrestamo($idColaborador);
				$o_PrestamoBean->setFechaCancelacion($fechaFor);
				$o_PrestamoBean->setFechaCancelacionFin($fechaFor);
				$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
				$a_prestamo = $o_PrestamoDP->selectUtilidades($tipoPeriodo);
				/*echo "<pre>";
				print_r($a_prestamo);
				echo "</pre>";*/
				//exit;
				if(is_array($a_prestamo)){
					foreach ($a_prestamo as $key_b => $a_prestamo_tem){
						$a_totales[$key_b][$fechaFor] = $a_prestamo_tem['total'];
						$a_cantidades[$key_b][$fechaFor] = $a_prestamo_tem['cantidad'];
					}
				}else{
					$a_totales[$idColaborador][$fechaFor] = 0;
					$a_cantidades[$idColaborador][$fechaFor] = 0;
				}
				
				$fechaFor = date('Y-m-d',strtotime($fechaFor .' +1 days'));
				
				
			}
			
		}
		if($tipoPeriodo == 'mensual'){
			$t_periodo = "Periodo";
			$fechaActual = date('Y-m-d');
			
			$fechaFinal = date('Y-m-d',strtotime($periodoInicial.'-01 +'.($intervalomeses-1).' months'));
			if($fechaFinal > $fechaActual){
				$fechaFinal = $fechaActual;
			}
			//Calculo de datos por cada dia 
			$fechaFor = $periodoInicial.'-01';
			while($fechaFor <= $fechaFinal){
				$fechaForFinalTemp = date('Y-m-d',strtotime($fechaFor.'+ 1 months'));
				$fechaForFinal = date('Y-m-d',strtotime($fechaForFinalTemp.'- 1 day'));
				$o_PrestamoBean = new PrestamoBean();
				$o_PrestamoBean->setIdColaboradorPrestamo($idColaborador);
				$o_PrestamoBean->setFechaCancelacion($fechaFor);
				$o_PrestamoBean->setFechaCancelacionFin($fechaForFinal);
				$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
				$a_prestamo 	= $o_PrestamoDP->selectUtilidades($tipoPeriodo);
				echo "<pre>";
				print_r($a_prestamo);
				echo "</pre>";
				if(is_array($a_prestamo)){
					foreach ($a_prestamo as $key_b => $a_prestamo_tem){
						$a_totales[$key_b][substr($fechaFor,0,7)] += $a_prestamo_tem['total'];
						$a_cantidades[$key_b][substr($fechaFor,0,7)] += $a_prestamo_tem['cantidad'];
						
					}
				}else{
					$a_totales[$idColaborador][substr($fechaFor,0,7)] += 0;
					$a_cantidades[$idColaborador][substr($fechaFor,0,7)] += 0;
				}
				$fechaFor = date('Y-m-d',strtotime($fechaFor .' +1 months'));
				
				
			}
		}
		
	}
}




?>

 <table class="marco" border="0" cellpadding="0" cellspacing="0" width="70%">
        
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <!--<th width="4%" >Nro</th>-->
                <th width="20%" align="left"><?=$t_periodo?></th>
               <th width="60%" align="left">Colaborador</th>
               <th width="18%" >Cantidad</th>
               <th width="18%" >Monto</th>
               <th width="2%" ></th>
             
              
              
              </tr>
             <?php
             if(is_array($a_totales)){
	             foreach ($a_totales as $key => $a_datos){
	             	$nombre_colaborador = $a_NombreColaborador[$key];
	             	foreach ($a_datos as $fecha =>$dato){
	             	?>
		              <tr onClick="TR_click(this);">
		                 <td align="left"><?=$fecha?></td>
		                 <td align="left" ><?=utf8_encode($nombre_colaborador)?></td>
		                <td align="right"><?=number_format($dato,2);$total_saldo += round($dato,2); ?></td>
		                <td align="right"><?
		                echo $a_cantidades[$key][$fecha];$total_cantidad += $a_cantidades[$key][$fecha]; ?></td>
		                <td align="right"></td>
		               
		              </tr>
	              <? } 
	             }
             }?>
              <tr>
              	<td colspan="3" align="right"><b><?php echo number_format($total_saldo,2)?></b></td>
              	<td  align="right"><b><?php echo $total_cantidad?></b></td>
              </tr>
              
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_totales)?></td>
        </tr>
      </table>
